Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
ai-tools
List AI tools
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-tools \
  --header 'Authorization: <api-key>'
{
  "_links": {
    "next": {
      "href": "href",
      "type": "type"
    },
    "last": {
      "href": "href",
      "type": "type"
    },
    "prev": {
      "href": "href",
      "type": "type"
    },
    "self": {
      "href": "href",
      "type": "type"
    },
    "first": {
      "href": "href",
      "type": "type"
    }
  },
  "totalCount": 1,
  "items": [
    {
      "schema": "{}",
      "createdAt": 6,
      "_maintainer": {
        "kind": "kind"
      },
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "_links": {
        "parent": {
          "href": "href",
          "type": "type"
        },
        "self": {
          "href": "href",
          "type": "type"
        }
      },
      "description": "description",
      "customParameters": "{}",
      "version": 0,
      "key": "key"
    },
    {
      "schema": "{}",
      "createdAt": 6,
      "_maintainer": {
        "kind": "kind"
      },
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "_links": {
        "parent": {
          "href": "href",
          "type": "type"
        },
        "self": {
          "href": "href",
          "type": "type"
        }
      },
      "description": "description",
      "customParameters": "{}",
      "version": 0,
      "key": "key"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

Query Parameters

sort
string

A sort to apply to the list of AI Configs.

limit
integer

The number of resources to return.

offset
integer

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

filter
string

A filter to apply to the list.

Response

Successful response

items
object[]
required
totalCount
integer
required
Example:
{
"next": { "href": "href", "type": "type" },
"last": { "href": "href", "type": "type" },
"prev": { "href": "href", "type": "type" },
"self": { "href": "href", "type": "type" },
"first": { "href": "href", "type": "type" }
}